Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.sp
Class DSA

    java.lang.Object
      escjava.sp.DSA

public class DSA
extends java.lang.Object

Constructor Summary
`DSA()`

Method Summary
`private static void` | `computeLastVarUses(GuardedCmd g, RefInt preOrderCount, java.util.Hashtable lastVarUse)`
`private static void` | `doPreOrderCount(GuardedCmd g, RefInt preOrderCount)`
`static GuardedCmd` | `dsa(GuardedCmd g)`
`static GuardedCmd` | `dsa(GuardedCmd g, VarMapPair out)`
`private static GuardedCmd` | `dsa(GuardedCmd g, VarMap map, VarMapPair out, java.lang.String dynInstPrefix, RefInt preOrderCount, java.util.Hashtable lastVarUse)` Parameters `preOrderCount` and `lastVarUse` are used to perform a dead-variable analysis on variables, so that merges of variables can be smaller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSA

    public DSA()

Method Detail

### dsa

    public static GuardedCmd dsa(GuardedCmd g)

### dsa

    public static GuardedCmd dsa(GuardedCmd g,
                                 VarMapPair out)

### dsa

    private static GuardedCmd dsa(GuardedCmd g,
                                  VarMap map,
                                  VarMapPair out,
                                  java.lang.String dynInstPrefix,
                                  RefInt preOrderCount,
                                  java.util.Hashtable lastVarUse)

  Parameters `preOrderCount` and `lastVarUse` are used to perform a dead-variable analysis on variables, so that merges of variables can be smaller. These parameters should either both be non-`null` or both be `null`. If they are `null`, the dead-variable analysis and optimization will not be performed.

### computeLastVarUses

    private static void computeLastVarUses(GuardedCmd g,
                                           RefInt preOrderCount,
                                           java.util.Hashtable lastVarUse)

### doPreOrderCount

    private static void doPreOrderCount(GuardedCmd g,
                                        RefInt preOrderCount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage